Bug 1568966 (CVE-2018-1417) - CVE-2018-1417 IBM JDK: J9 JVM allows untrusted code running under a security manager to elevate its privileges
Summary: CVE-2018-1417 IBM JDK: J9 JVM allows untrusted code running under a security ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-1417
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1546135 1546136 1546137 1546138 1546140 1546141 1546142 1546143 1549401 1549402
Blocks: 1568967
TreeView+ depends on / blocked
 
Reported: 2018-04-18 13:00 UTC by Adam Mariš
Modified: 2019-09-29 14:37 UTC (History)
6 users (show)

Fixed In Version: java-1.7.1-ibm-1.7.1.4.20, java-1.8.0-ibm-1.8.0.5.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-20 21:09:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1463 None None None 2018-05-15 15:32:35 UTC

Description Adam Mariš 2018-04-18 13:00:23 UTC
Under certain circumstances, a flaw in the J9 JVM (IBM SDK, Java Technology Edition 7.1 and 8.0) allows untrusted code running under a security manager to elevate its privileges.

External References:

https://exchange.xforce.ibmcloud.com/vulnerabilities/138823

Comment 2 Tomas Hoger 2018-04-20 21:09:35 UTC
IBM JDK packages shipped in Red Hat Enterprise Linux Supplementary 6 and 7 were previously updated to fixed upstream version via the following errata:

java-1.8.0-ibm
https://access.redhat.com/errata/RHSA-2018:0351
https://access.redhat.com/errata/RHSA-2018:0352

java-1.7.1-ibm
https://access.redhat.com/errata/RHSA-2018:0458
https://access.redhat.com/errata/RHSA-2018:0521

Comment 3 errata-xmlrpc 2018-05-15 15:32:30 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.8

Via RHSA-2018:1463 https://access.redhat.com/errata/RHSA-2018:1463


Note You need to log in before you can comment on or make changes to this bug.